Bug 149127 - [PATCH] net/beacon: allow compilation on non-i386 architectures
Summary: [PATCH] net/beacon: allow compilation on non-i386 architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Ports Bugs (Mailing List)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-31 06:30 UTC by leres
Modified: 2010-12-15 22:50 UTC (History)
0 users

See Also:


Attachments
file.diff (439 bytes, patch)
2010-07-31 06:30 UTC, leres
no flags Details | Diff
file.diff (452 bytes, patch)
2010-07-31 06:30 UTC, leres
no flags Details | Diff
file.diff (776 bytes, patch)
2010-07-31 06:30 UTC, leres
no flags Details | Diff
patch-Makefile (537 bytes, text/plain)
2010-08-04 19:50 UTC, leres
no flags Details
patch-files-patch-Makefile.in (439 bytes, text/plain)
2010-08-04 19:50 UTC, leres
no flags Details
patch-files-patch-libbeacon-Makefile.in (452 bytes, text/plain)
2010-08-04 19:50 UTC, leres
no flags Details
patch-files-patch-common-beacon.patch (776 bytes, patch)
2010-08-04 19:50 UTC, leres
no flags Details | Diff
patch-files-beacon.in (655 bytes, text/plain)
2010-08-04 20:10 UTC, leres
no flags Details
patch-Makefile (537 bytes, text/plain)
2010-10-07 04:26 UTC, leres
no flags Details
patch-files-beacon.in (1.39 KB, text/plain)
2010-10-07 04:26 UTC, leres
no flags Details
patch-files-patch-Makefile.in (439 bytes, text/plain)
2010-10-07 04:26 UTC, leres
no flags Details
patch-files-patch-common-beacon.patch (776 bytes, patch)
2010-10-07 04:26 UTC, leres
no flags Details | Diff
patch-files-patch-libbeacon-Makefile.in (452 bytes, text/plain)
2010-10-07 04:26 UTC, leres
no flags Details
patch-Makefile.sig (72 bytes, application/octet-stream)
2010-10-07 04:26 UTC, leres
no flags Details
patch-files-beacon.in.sig (72 bytes, application/octet-stream)
2010-10-07 04:26 UTC, leres
no flags Details
patch-files-patch-Makefile.in.sig (72 bytes, application/octet-stream)
2010-10-07 04:26 UTC, leres
no flags Details
patch-files-patch-common-beacon.patch.sig (72 bytes, application/octet-stream)
2010-10-07 04:26 UTC, leres
no flags Details
patch-files-patch-libbeacon-Makefile.in.sig (72 bytes, application/octet-stream)
2010-10-07 04:26 UTC, leres
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2010-07-31 06:30:02 UTC
    The beacon port is marked "Does not compile on !i386" due to
    two minor issues. One is that -fPIC is needed for most of the
    modules. The other is that an include file that defines a
    prototype for inet_ntop() that conflicts with the system version
    (and actually is not needed).

Fix: Attached is a patch for the port Makefile and three new patch
    files. The Makefile and two Makefile.in patches are straightforward
    but the last patch is a patch to the patch for the common tree
    that gets unpacked during configure. It adds ifdef's to the
    include of inet_ntop.h.


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (FreeBSD)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkxTdzEACgkQWxlAhAje3Ju/OgCbBDdQK1UxRwIo6CcpofsLYvNx
CB0AnionLidVE+YmuvNxzFge+vFgU5a1
=NB5N
-----END PGP SIGNATURE-----

--------------050201040608000503060109
Content-Type: text/plain;
 name="patch-Makefile"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="patch-Makefile"

--------------050201040608000503060109
Content-Type: text/plain;
 name="patch-files-patch-Makefile.in"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="patch-files-patch-Makefile.in"

--------------050201040608000503060109
Content-Type: text/plain;
 name="patch-files-patch-libbeacon-Makefile.in"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="patch-files-patch-libbeacon-Makefile.in"

--------------050201040608000503060109
Content-Type: text/plain;
 name="patch-files-patch-common-beacon.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="patch-files-patch-common-beacon.patch"



--------------050201040608000503060109
Content-Type: application/octet-stream;
 name="patch-Makefile.sig"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="patch-Makefile.sig"

iEYEABECAAYFAkxTdzEACgkQWxlAhAje3JupsQCff7fPlBgRF4LRHpM3Hi2gnTurC1MAmwTR
edsGqoFvlnFC2LoBJC8Q7+7G
--------------050201040608000503060109
Content-Type: application/octet-stream;
 name="patch-files-patch-Makefile.in.sig"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="patch-files-patch-Makefile.in.sig"

iEYEABECAAYFAkxTdzEACgkQWxlAhAje3Jsv7gCfVTOMVV8L7Ge3c+SCoVf/tw9WFIwAnApB
AqoDlRbueOonVU0vWifwrrDy
--------------050201040608000503060109
Content-Type: application/octet-stream;
 name="patch-files-patch-libbeacon-Makefile.in.sig"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="patch-files-patch-libbeacon-Makefile.in.sig"

iEYEABECAAYFAkxTdzEACgkQWxlAhAje3Jsl9ACbBM16drKpC0/4ez3MVowGgmXiG7oAniz1
jR1dFcvirKn3TQSA7vDX28vD
--------------050201040608000503060109
Content-Type: application/octet-stream;
 name="patch-files-patch-common-beacon.patch.sig"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="patch-files-patch-common-beacon.patch.sig"

iEYEABECAAYFAkxTdzEACgkQWxlAhAje3Jt21wCdHTaN6bJ20tvbVfvZdIpfhjxCNT0AnAhv
wt84psErd20p2x3aOcDIebrA
--------------050201040608000503060109----oj5KPa0xLKOQlv7x67XXd3VC6pBQk95uh1AaUNeRF1BeeyHc
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.orig	2010-07-30 17:52:23.000000000 -0700
+++ Makefile	2010-07-30 17:52:49.000000000 -0700
@@ -7,7 +7,7 @@
 
 PORTNAME=	beacon
 PORTVERSION=	1.3
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	net perl5 mbone ipv6
 MASTER_SITES=	http://dast.nlanr.net/Projects/Beacon/releases/
 DISTNAME=	${PORTNAME}-${PORTVERSION}
@@ -35,10 +35,6 @@
 
 .include <bsd.port.pre.mk>
 
-.if ${ARCH} != "i386"
-BROKEN=		Does not compile on !i386
-.endif
-
 post-install:
 	@${ECHO} "Sample config installed at \
 	${PREFIX}/etc/beacon.conf.sample"
Comment 1 Edwin Groothuis freebsd_committer 2010-07-31 06:30:22 UTC
Maintainer of net/beacon,

Please note that PR ports/149127 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/149127

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-07-31 06:30:23 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 glarkin freebsd_committer 2010-08-03 16:34:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glarkin

Hi Craig, 

Would you mind placing the patch files somewhere for download or 
resubmitting them to the PR as attachments?  For some reason, they are 
embedded inline in the PR, and it's easier to patch the port if I have 
the files in their original form. 

Thank you, 
Greg
Comment 4 leres 2010-08-04 19:50:11 UTC
 > Would you mind placing the patch files somewhere for download or
 > resubmitting them to the PR as attachments? For some reason, they
 > are embedded inline in the PR, and it's easier to patch the port
 > if I have the files in their original form.

It's probably because I pgp-signed my submission. Let me try
re-attaching without signing and if that doesn't work I'll post
them somewhere.

		Craig
Comment 5 leres 2010-08-04 20:10:21 UTC
Here's one additional patch we came up with last night. This one is for 
the rc.d script. The issues fixed are:

     - beacon does not background itself automatically so the startup
       script block the system from fully coming up on bootup

     - "stop" doesn't work because command_interpreter isn't set

     - piddir is set incorrectly if you have a commented out line with
       OUTPUTDIR in it, e.g.:

	#OUTPUTDIR    = /home/beacon/outputfiles
	OUTPUTDIR     = /usr/local/www/data-dist/beacon

		Craig
Comment 6 janos.mohacsi 2010-08-12 16:49:10 UTC
 Approved.
Comment 7 Philip M. Gollucci freebsd_committer 2010-09-12 05:09:15 UTC
State Changed
From-To: feedback->open

Maintainer approved
Comment 8 glarkin freebsd_committer 2010-09-16 01:38:14 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Craig,

It sounds like you didn't receive my email follow-up on this PR (sent
8/11/10).  I am including the original text of the email here so it's
added to the PR.  My apologies for not following up sooner, but I
assumed that you were too busy to respond.

Thank you,
Greg

> Hi Craig,
> 
> Thanks again for all of the patches, and I have been testing beacon in
> an amd64 virtual machine. It compiles fine, and it starts up, although I
> haven't tested the functionality.  Is there any easy way to make sure
> it's working?
> 
> I also have some questions and comments for you:
> 
> - Is it possible for the beacon daemon to run as a lower-privileged
> user, instead of root, and still function correctly?
> 
> - Can you update files/beacon.in so the path to the beacon executable is
> parameterized?
> 
> - The beacon daemon start command places the process in the background,
> but it doesn't properly daemonize it.  ed@ started a thread awhile back
> regarding how to daemonize processes in rc.d scripts:
> http://old.nabble.com/General-note-on-rc-scripts-and-daemonizing-td29190752.html.
>  Can you take a stab at updating daemon.in?  Let me know if you have any
> questions about that.
> 
> Thank you,
> Greg
- --
Greg Larkin

http://www.FreeBSD.org/           - The Power To Serve
http://www.sourcehosting.net/     - Ready. Set. Code.
http://twitter.com/sourcehosting/ - Follow me, follow you
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (MingW32)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iD8DBQFMkWb20sRouByUApARAr7bAJ4/z9gUG4HxzWKPy7moJ+rt+AH0IQCgtHlm
f0XCUH03AB88q5xm6MUCGH4=
=1+xV
-----END PGP SIGNATURE-----
Comment 9 glarkin freebsd_committer 2010-09-16 01:38:22 UTC
State Changed
From-To: open->feedback
Comment 10 glarkin freebsd_committer 2010-09-20 20:49:49 UTC
Responsible Changed
From-To: glarkin->freebsd-ports-bugs

Back to pool.
Comment 11 leres 2010-10-07 04:26:48 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

New patch set.

Old features:

    - compile on !i386 (circa July 2010)

New features:

    - rc.d script: "parameterize"
    - rc.d script: "daemonize"
    - rc.d script: run as "nobody" by default

The last change is safer but will result in some breakage to already
installed configurations; OUTPUTDIR will need to be user or group
wriable by nobody.

		Craig
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (FreeBSD)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAkytPfgACgkQWxlAhAje3JuQMACfePcYgp35txD92t8Xjaxb8MK8
Ky8An2KkqhQZDCQ6f2Q1pLygJblHyXnS
=bcRT
-----END PGP SIGNATURE-----
Comment 12 Philip M. Gollucci freebsd_committer 2010-12-15 22:29:55 UTC
State Changed
From-To: feedback->open

committer timeout (glarkin; 69 days), prompted by direct email from 
submitter
Comment 13 Philip M. Gollucci freebsd_committer 2010-12-15 22:44:46 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 14 dfilter freebsd_committer 2010-12-15 22:44:48 UTC
pgollucci    2010-12-15 22:44:42 UTC

  FreeBSD ports repository

  Modified files:
    net/beacon           Makefile 
    net/beacon/files     beacon.in 
  Added files:
    net/beacon/files     patch-Makefile.in 
                         patch-common-beacon.patch 
                         patch-libbeacon-Makefile.in 
  Log:
  - Unbreak on !i386
  - rc.d script handle daemonize and run as nobody by default
  - Bump PORTREVISION
  
  PR:             ports/149127
  Submitted by:   Craig Leres <leres@ee.lbl.gov>
  Approved by:    janos.mohacsi@bsd.hu (maintainer)
  
  Revision  Changes    Path
  1.22      +5 -11     ports/net/beacon/Makefile
  1.3       +29 -11    ports/net/beacon/files/beacon.in
  1.1       +11 -0     ports/net/beacon/files/patch-Makefile.in (new)
  1.1       +18 -0     ports/net/beacon/files/patch-common-beacon.patch (new)
  1.1       +11 -0     ports/net/beacon/files/patch-libbeacon-Makefile.in (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"